Jump to content

Recommended Posts

@maxmp, I am hoping to modify your set of widgets in line with my Yaps skins. so I am trying to build and compile the powerampapi/poweramp_simplewidgetpack as found on Github.

I am running into all sorts of problems trying to build the project.

I have :

- updated the TargetSdk to 29,

- migrated to androidx,

- classpath  'com.android.tools.build:gradle:3.6.1',

- added google() to repositories. 

The modules do not compile and some of the .java code shows errors, for instance

public abstract class BaseWidgetConfigure

where the signature of the pushUpdate method is different.

mWidgetProvider.pushUpdate(this, mPrefs, new int[]{ mAppWidgetId }, mediaRemoved, false, false, null);

method generateUpdateData is missing from mWidgetProvider

WidgetUpdateData data = mWidgetProvider.generateUpdateData(this, mediaRemoved, false, false);

Given the last updates on Github are 5 and 7 years ago, I imagine the modules are probably out of date

My question is whether there is any point in proceding with this. 

Your help would be appreciated

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...